<?php
/* Autor...:  */
/* Esquema.: ALM_CajaChicaArhivos.xml */
/* Generado: 2020-08-18 04:21:23 */

/* Metodos de acceso a los campos de la tabla ALM_CajaChicaArhivos */
abstract class BaseALM_CajaChicaArhivosBN
{
    /* Campos de la tabla */
    private $i_IdCajaDet;    // IdCajaDet: ( no definido )
    private $i_IdSecuencia;    // IdSecuencia: ( no definido )
    private $s_Nombre;    // Nombre: ( no definido )
    private $s_Tipo;    // Tipo: ( no definido )
    private $s_TipoCompleto;    // TipoCompleto: ( no definido )
    private $i_Tamanio;    // Tamanio: ( no definido )
    private $s_UbicacionURL;    // UbicacionURL: ( no definido )
    private $s_UbicacionFisica;    // UbicacionFisica: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )

    /* Establece el valor del campo IdCajaDet */
    public function setIdCajaDet( $i_IdCajaDet )
    {
        $this->i_IdCajaDet = $i_IdCajaDet;
    }

    /* Obtiene el valor del campo IdCajaDet */
    public function getIdCajaDet()
    {
        return $this->i_IdCajaDet;
    }

    /* Establece el valor del campo IdSecuencia */
    public function setIdSecuencia( $i_IdSecuencia )
    {
        $this->i_IdSecuencia = $i_IdSecuencia;
    }

    /* Obtiene el valor del campo IdSecuencia */
    public function getIdSecuencia()
    {
        return $this->i_IdSecuencia;
    }

    /* Establece el valor del campo Nombre */
    public function setNombre( $s_Nombre )
    {
        $this->s_Nombre = $s_Nombre;
    }

    /* Obtiene el valor del campo Nombre */
    public function getNombre()
    {
        return $this->s_Nombre;
    }

    /* Establece el valor del campo Tipo */
    public function setTipo( $s_Tipo )
    {
        $this->s_Tipo = $s_Tipo;
    }

    /* Obtiene el valor del campo Tipo */
    public function getTipo()
    {
        return $this->s_Tipo;
    }

    /* Establece el valor del campo TipoCompleto */
    public function setTipoCompleto( $s_TipoCompleto )
    {
        $this->s_TipoCompleto = $s_TipoCompleto;
    }

    /* Obtiene el valor del campo TipoCompleto */
    public function getTipoCompleto()
    {
        return $this->s_TipoCompleto;
    }

    /* Establece el valor del campo Tamanio */
    public function setTamanio( $i_Tamanio )
    {
        $this->i_Tamanio = $i_Tamanio;
    }

    /* Obtiene el valor del campo Tamanio */
    public function getTamanio()
    {
        return $this->i_Tamanio;
    }

    /* Establece el valor del campo UbicacionURL */
    public function setUbicacionURL( $s_UbicacionURL )
    {
        $this->s_UbicacionURL = $s_UbicacionURL;
    }

    /* Obtiene el valor del campo UbicacionURL */
    public function getUbicacionURL()
    {
        return $this->s_UbicacionURL;
    }

    /* Establece el valor del campo UbicacionFisica */
    public function setUbicacionFisica( $s_UbicacionFisica )
    {
        $this->s_UbicacionFisica = $s_UbicacionFisica;
    }

    /* Obtiene el valor del campo UbicacionFisica */
    public function getUbicacionFisica()
    {
        return $this->s_UbicacionFisica;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdCajaDet' => $this->getIdCajaDet(),
            'IdSecuencia' => $this->getIdSecuencia(),
            'Nombre' => $this->getNombre(),
            'Tipo' => $this->getTipo(),
            'TipoCompleto' => $this->getTipoCompleto(),
            'Tamanio' => $this->getTamanio(),
            'UbicacionURL' => $this->getUbicacionURL(),
            'UbicacionFisica' => $this->getUbicacionFisica(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto ALM_CajaChicaArhivosBN desde un RecordSet */
    public static function retrieveByRs( $o_ALM_CajaChicaArhivosRs )
    {
        $o_ALM_CajaChicaArhivosBN = new ALM_CajaChicaArhivosBN();
        $o_ALM_CajaChicaArhivosBN->setIdCajaDet( ( integer ) $o_ALM_CajaChicaArhivosRs[ "IdCajaDet" ] );
        $o_ALM_CajaChicaArhivosBN->setIdSecuencia( ( integer ) $o_ALM_CajaChicaArhivosRs[ "IdSecuencia" ] );
        $o_ALM_CajaChicaArhivosBN->setNombre( $o_ALM_CajaChicaArhivosRs[ "Nombre" ] );
        $o_ALM_CajaChicaArhivosBN->setTipo( $o_ALM_CajaChicaArhivosRs[ "Tipo" ] );
        $o_ALM_CajaChicaArhivosBN->setTipoCompleto( $o_ALM_CajaChicaArhivosRs[ "TipoCompleto" ] );
        $o_ALM_CajaChicaArhivosBN->setTamanio( ( integer ) $o_ALM_CajaChicaArhivosRs[ "Tamanio" ] );
        $o_ALM_CajaChicaArhivosBN->setUbicacionURL( $o_ALM_CajaChicaArhivosRs[ "UbicacionURL" ] );
        $o_ALM_CajaChicaArhivosBN->setUbicacionFisica( $o_ALM_CajaChicaArhivosRs[ "UbicacionFisica" ] );
        $o_ALM_CajaChicaArhivosBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_ALM_CajaChicaArhivosRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_CajaChicaArhivosBN->setUsuarioCreacion( $o_ALM_CajaChicaArhivosRs[ "UsuarioCreacion" ] );
        return $o_ALM_CajaChicaArhivosBN;
    }
}
?>